# std::tr1::mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l > Class Template Reference
[Random Number Generators]

List of all members.

## Detailed Description

### template<class _UIntType, int __w, int __n, int __m, int __r, _UIntType __a, int __u, int __s, _UIntType __b, int __t, _UIntType __c, int __l>
class std::tr1::mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l >

Definition at line 491 of file random.

## Public Types

- typedef _UIntType result_type

## Public Member Functions

- result_type max () const
- template<class _Gen> mersenne_twister (_Gen &__g)
- mersenne_twister (unsigned long __value)
- mersenne_twister ()
- result_type min () const
- result_type operator() ()
- template<class _Gen> void seed (_Gen &__g)
- void seed (unsigned long __value)
- void seed ()

## Static Public Attributes

- static const int mask_bits
- static const _UIntType output_b
- static const _UIntType output_c
- static const int output_l
- static const int output_s
- static const int output_t
- static const int output_u
- static const _UIntType parameter_a
- static const int shift_size
- static const int state_size
- static const int word_size

## Friends

- bool operator!= (const mersenne_twister &__lhs, const mersenne_twister &__rhs)
- template<class _UIntType1, int __w1, int __n1, int __m1, int __r1, _UIntType1 __a1, int __u1, int __s1, _UIntType1 __b1, int __t1, _UIntType1 __c1, int __l1, typename _CharT, typename _Traits> std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const mersenne_twister< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __s1, __b1, __t1, __c1, __l1 > &__x)
- bool operator== (const mersenne_twister &__lhs, const mersenne_twister &__rhs)
- template<class _UIntType1, int __w1, int __n1, int __m1, int __r1, _UIntType1 __a1, int __u1, int __s1, _UIntType1 __b1, int __t1, _UIntType1 __c1, int __l1, typename _CharT, typename _Traits> std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, mersenne_twister< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __s1, __b1, __t1, __c1, __l1 > &__x)

## Friends And Related Function Documentation

template<class _UIntType, int __w, int __n, int __m, int __r, _UIntType __a, int __u, int __s, _UIntType __b, int __t, _UIntType __c, int __l>

bool operator!= | ( | const mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l > & | __lhs,
|  | const mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l > & | __rhs |
| ) |  |  | `[friend]`

Compares two % mersenne_twister random number generator objects of the same type for inequality.

Parameters:

  | __lhs | A % mersenne_twister random number generator object.
  | __rhs | Another % mersenne_twister random number generator object.

Returns:
  true if the two objects are not equal, false otherwise.

Definition at line 573 of file random.

template<class _UIntType, int __w, int __n, int __m, int __r, _UIntType __a, int __u, int __s, _UIntType __b, int __t, _UIntType __c, int __l>
template<class _UIntType1, int __w1, int __n1, int __m1, int __r1, _UIntType1 __a1, int __u1, int __s1, _UIntType1 __b1, int __t1, _UIntType1 __c1, int __l1, typename _CharT, typename _Traits>

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const mersenne_twister< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __s1, __b1, __t1, __c1, __l1 > & | __x |
| ) |  |  | `[friend]`

Inserts the current state of a % mersenne_twister random number generator engine `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A % mersenne_twister random number generator engine.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<class _UIntType, int __w, int __n, int __m, int __r, _UIntType __a, int __u, int __s, _UIntType __b, int __t, _UIntType __c, int __l>

bool operator== | ( | const mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l > & | __lhs,
|  | const mersenne_twister< _UIntType, __w, __n, __m, __r, __a, __u, __s, __b, __t, __c, __l > & | __rhs |
| ) |  |  | `[friend]`

Compares two % mersenne_twister random number generator objects of the same type for equality.

Parameters:

  | __lhs | A % mersenne_twister random number generator object.
  | __rhs | Another % mersenne_twister random number generator object.

Returns:
  true if the two objects are equal, false otherwise.

Definition at line 558 of file random.

template<class _UIntType, int __w, int __n, int __m, int __r, _UIntType __a, int __u, int __s, _UIntType __b, int __t, _UIntType __c, int __l>
template<class _UIntType1, int __w1, int __n1, int __m1, int __r1, _UIntType1 __a1, int __u1, int __s1, _UIntType1 __b1, int __t1, _UIntType1 __c1, int __l1, typename _CharT, typename _Traits>

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | mersenne_twister< _UIntType1, __w1, __n1, __m1, __r1, __a1, __u1, __s1, __b1, __t1, __c1, __l1 > & | __x |
| ) |  |  | `[friend]`

Extracts the current state of a % mersenne_twister random number generator engine `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A % mersenne_twister random number generator engine.

Returns:
  The input stream with the state of `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random
- random.tcc